<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZExpansion: DayzExpansion/Scripts/4_world/dayzexpansion/classes/useractionscomponent/actions/interact/expansionactionfillgeneratortankonground.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZExpansion<span id="projectnumber">&#160;1.7.12</span>
   </div>
   <div id="projectbrief">DayZExpansion Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d1/d29/a02393_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">expansionactionfillgeneratortankonground.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../d1/d29/a02393.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno"><a class="line" href="../../d1/d29/a02393.html#afdf596450a0078f4f6bf4fce7dd84cb6">    1</a></span><span class="comment">/**</span></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span><span class="comment"> * ExpansionActionFillGeneratorTankOnGround.c</span></div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno">    3</span><span class="comment"> *</span></div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno">    4</span><span class="comment"> * DayZ Expansion Mod</span></div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno">    5</span><span class="comment"> * www.dayzexpansion.com</span></div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno">    6</span><span class="comment"> * © 2022 DayZ Expansion Mod Team</span></div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno">    7</span><span class="comment"> *</span></div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno">    8</span><span class="comment"> * This work is licensed under the Creative Commons Attribution-NonCommercial-NoDerivatives 4.0 International License. </span></div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno">    9</span><span class="comment"> * To view a copy of this license, visit http://creativecommons.org/licenses/by-nc-nd/4.0/.</span></div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno">   10</span><span class="comment"> *</span></div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno">   11</span><span class="comment">*/</span></div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span> </div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno"><a class="line" href="../../d2/ddf/a06697.html">   13</a></span><span class="keyword">class </span><a class="code hl_class" href="../../d2/ddf/a06697.html">ActionFillGeneratorTankOnGroundCB</a> : ActionContinuousBaseCB</div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span>{</div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno"><a class="line" href="../../d2/ddf/a06697.html#a1a02660fbe83b5e1493aee7c2d40c19a">   15</a></span>    <span class="keyword">private</span> <span class="keyword">const</span> <span class="keywordtype">float</span> <a class="code hl_variable" href="../../d2/ddf/a06697.html#a1a02660fbe83b5e1493aee7c2d40c19a">QUANTITY_FILLED_PER_SEC</a> = 400;</div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno">   16</span>    </div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno"><a class="line" href="../../d2/ddf/a06697.html#a6e659509acf4a2965b3a72f0e074da94">   17</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d2/ddf/a06697.html#a6e659509acf4a2965b3a72f0e074da94">CreateActionComponent</a>()</div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno">   18</span>    {</div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno">   19</span>        m_ActionData.m_ActionComponent = <span class="keyword">new</span> CAContinuousFillPowerGenerator(<a class="code hl_variable" href="../../d2/ddf/a06697.html#a1a02660fbe83b5e1493aee7c2d40c19a">QUANTITY_FILLED_PER_SEC</a>, LIQUID_GASOLINE);</div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno">   20</span>    }</div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno">   21</span>}</div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno">   22</span> </div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno">   23</span><span class="keyword">class </span><a class="code hl_function" href="../../d1/d29/a02393.html#afdf596450a0078f4f6bf4fce7dd84cb6">ExpansionActionFillGeneratorTankOnGround</a>: <a class="code hl_class" href="../../d4/d61/a04577.html">ActionContinuousBase</a></div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno">   24</span>{</div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno">   25</span>    <span class="comment">// ------------------------------------------------------------</span></div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno">   26</span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d1/d29/a02393.html#afdf596450a0078f4f6bf4fce7dd84cb6">ExpansionActionFillGeneratorTankOnGround</a>()</div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno"><a class="line" href="../../d1/d29/a02393.html#a29576f14ed6a6cd1608598ca7111a7bb">   27</a></span>    {</div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno">   28</span>        m_CallbackClass = <a class="code hl_class" href="../../d2/ddf/a06697.html">ActionFillGeneratorTankOnGroundCB</a>;</div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno"><a class="line" href="../../d1/d29/a02393.html#a8d9883544b8e8cc36f40a2cec029cc80">   29</a></span>        m_CommandUID = DayZPlayerConstants.CMD_ACTIONFB_EMPTY_VESSEL;</div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno">   30</span>        m_StanceMask = DayZPlayerConstants.STANCEMASK_ERECT | DayZPlayerConstants.STANCEMASK_CROUCH;</div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno">   31</span>        m_FullBody = <span class="keyword">true</span>;</div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno">   32</span>        m_SpecialtyWeight = UASoftSkillsWeight.PRECISE_LOW;</div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno">   33</span>    }</div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno">   34</span> </div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno">   35</span>    <span class="comment">// ------------------------------------------------------------</span></div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno"><a class="line" href="../../d1/d29/a02393.html#a6b922d3bb1d26f790bc52030566ba2df">   36</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d9/dd0/a00191.html#a6b922d3bb1d26f790bc52030566ba2df">CreateConditionComponents</a>()  </div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno">   37</span>    {   </div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno">   38</span>        m_ConditionItem = <span class="keyword">new</span> CCINonRuined;</div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno">   39</span>        m_ConditionTarget = <span class="keyword">new</span> CCTNonRuined(UAMaxDistances.DEFAULT);</div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno">   40</span>    }</div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno">   41</span> </div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno">   42</span>    <span class="comment">// ------------------------------------------------------------</span></div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno"><a class="line" href="../../d1/d29/a02393.html#af127b91bedeb70f79583b0183d86be98">   43</a></span>    <span class="keyword">override</span> <span class="keywordtype">string</span> <a class="code hl_function" href="../../d9/dd0/a00191.html#af127b91bedeb70f79583b0183d86be98">GetText</a>()</div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno">   44</span>    {</div>
<div class="line"><a id="l00045" name="l00045"></a><span class="lineno">   45</span>        <span class="keywordflow">return</span> <span class="stringliteral">&quot;#refuel&quot;</span>;</div>
<div class="line"><a id="l00046" name="l00046"></a><span class="lineno">   46</span>    }</div>
<div class="line"><a id="l00047" name="l00047"></a><span class="lineno">   47</span>        </div>
<div class="line"><a id="l00048" name="l00048"></a><span class="lineno">   48</span>    <span class="comment">// ------------------------------------------------------------</span></div>
<div class="line"><a id="l00049" name="l00049"></a><span class="lineno"><a class="line" href="../../d1/d29/a02393.html#aa9aa4864fae11769c65e644b5fd97c66">   49</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../df/d79/a08520.html#add59dc9e9e85a3185ba2cede7cf9449f">ActionCondition</a>( <a class="code hl_class" href="../../db/d1a/a03849.html">PlayerBase</a> player, <a class="code hl_class" href="../../da/d6d/a04713.html">ActionTarget</a> target, <a class="code hl_class" href="../../d1/df9/a03665.html">ItemBase</a> item )</div>
<div class="line"><a id="l00050" name="l00050"></a><span class="lineno">   50</span>    {</div>
<div class="line"><a id="l00051" name="l00051"></a><span class="lineno">   51</span>        PowerGenerator pg;</div>
<div class="line"><a id="l00052" name="l00052"></a><span class="lineno">   52</span>        <span class="keywordflow">if</span> ( Class.CastTo(pg,target.GetObject()) )</div>
<div class="line"><a id="l00053" name="l00053"></a><span class="lineno">   53</span>        {</div>
<div class="line"><a id="l00054" name="l00054"></a><span class="lineno">   54</span>            <span class="keywordflow">if</span> ( pg.CanAddFuel( item ) )</div>
<div class="line"><a id="l00055" name="l00055"></a><span class="lineno">   55</span>            {</div>
<div class="line"><a id="l00056" name="l00056"></a><span class="lineno">   56</span>                <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00057" name="l00057"></a><span class="lineno">   57</span>            }</div>
<div class="line"><a id="l00058" name="l00058"></a><span class="lineno">   58</span>        }</div>
<div class="line"><a id="l00059" name="l00059"></a><span class="lineno">   59</span>        </div>
<div class="line"><a id="l00060" name="l00060"></a><span class="lineno">   60</span>        <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00061" name="l00061"></a><span class="lineno">   61</span>    }</div>
<div class="line"><a id="l00062" name="l00062"></a><span class="lineno">   62</span>}</div>
<div class="ttc" id="aa00191_html_a6b922d3bb1d26f790bc52030566ba2df"><div class="ttname"><a href="../../d9/dd0/a00191.html#a6b922d3bb1d26f790bc52030566ba2df">CreateConditionComponents</a></div><div class="ttdeci">override void CreateConditionComponents()</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/dd0/a00191_source.html#l00032">expansionactiondamagebasebuilding.c:32</a></div></div>
<div class="ttc" id="aa00191_html_af127b91bedeb70f79583b0183d86be98"><div class="ttname"><a href="../../d9/dd0/a00191.html#af127b91bedeb70f79583b0183d86be98">GetText</a></div><div class="ttdeci">override string GetText()</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/dd0/a00191_source.html#l00038">expansionactiondamagebasebuilding.c:38</a></div></div>
<div class="ttc" id="aa02393_html_afdf596450a0078f4f6bf4fce7dd84cb6"><div class="ttname"><a href="../../d1/d29/a02393.html#afdf596450a0078f4f6bf4fce7dd84cb6">ExpansionActionFillGeneratorTankOnGround</a></div><div class="ttdeci">ActionFillGeneratorTankOnGroundCB ActionContinuousBaseCB ExpansionActionFillGeneratorTankOnGround()</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/d29/a02393_source.html#l00001">expansionactionfillgeneratortankonground.c:26</a></div></div>
<div class="ttc" id="aa03665_html"><div class="ttname"><a href="../../d1/df9/a03665.html">ItemBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../db/dc3/a00284_source.html#l00001">expansionbaselights.c:2</a></div></div>
<div class="ttc" id="aa03849_html"><div class="ttname"><a href="../../db/d1a/a03849.html">PlayerBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d2/d25/a08607_source.html#l00013">playerbase.c:14</a></div></div>
<div class="ttc" id="aa04577_html"><div class="ttname"><a href="../../d4/d61/a04577.html">ActionContinuousBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d2/d71/a01055_source.html#l00013">actioncontinuousbase.c:14</a></div></div>
<div class="ttc" id="aa04713_html"><div class="ttname"><a href="../../da/d6d/a04713.html">ActionTarget</a></div><div class="ttdef"><b>Definition:</b> <a href="../../da/d20/a01160_source.html#l00016">actiontargets.c:17</a></div></div>
<div class="ttc" id="aa06697_html"><div class="ttname"><a href="../../d2/ddf/a06697.html">ActionFillGeneratorTankOnGroundCB</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d1/d29/a02393_source.html#l00013">expansionactionfillgeneratortankonground.c:14</a></div></div>
<div class="ttc" id="aa06697_html_a1a02660fbe83b5e1493aee7c2d40c19a"><div class="ttname"><a href="../../d2/ddf/a06697.html#a1a02660fbe83b5e1493aee7c2d40c19a">ActionFillGeneratorTankOnGroundCB::QUANTITY_FILLED_PER_SEC</a></div><div class="ttdeci">private const float QUANTITY_FILLED_PER_SEC</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/d29/a02393_source.html#l00015">expansionactionfillgeneratortankonground.c:15</a></div></div>
<div class="ttc" id="aa06697_html_a6e659509acf4a2965b3a72f0e074da94"><div class="ttname"><a href="../../d2/ddf/a06697.html#a6e659509acf4a2965b3a72f0e074da94">ActionFillGeneratorTankOnGroundCB::CreateActionComponent</a></div><div class="ttdeci">override void CreateActionComponent()</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/d29/a02393_source.html#l00017">expansionactionfillgeneratortankonground.c:17</a></div></div>
<div class="ttc" id="aa08520_html_add59dc9e9e85a3185ba2cede7cf9449f"><div class="ttname"><a href="../../df/d79/a08520.html#add59dc9e9e85a3185ba2cede7cf9449f">ActionCondition</a></div><div class="ttdeci">modded class ActionBuildPartCB ActionCondition(PlayerBase player, ActionTarget target, ItemBase item)</div><div class="ttdef"><b>Definition:</b> <a href="../../df/d79/a08520_source.html#l00014">actionbuildpart.c:27</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_6127fff2da0a20e2dc2cd9302c584350.html">DayzExpansion</a></li><li class="navelem"><a class="el" href="../../dir_5b6a53149ee7579c80529fd9998a2b4c.html">Scripts</a></li><li class="navelem"><a class="el" href="../../dir_864c6f328578ae932bfe3d376685b434.html">4_world</a></li><li class="navelem"><a class="el" href="../../dir_be440f22580ce99ff5165b31aacfa13d.html">dayzexpansion</a></li><li class="navelem"><a class="el" href="../../dir_610f62f19343ccd97bce22d942ff22b3.html">classes</a></li><li class="navelem"><a class="el" href="../../dir_6336fa8ef6030d4f481e174c48279a8e.html">useractionscomponent</a></li><li class="navelem"><a class="el" href="../../dir_8a333f21ce5630a58c24dc17e69cdf5b.html">actions</a></li><li class="navelem"><a class="el" href="../../dir_e9af80c4f9750ad56832ba88113bf6a6.html">interact</a></li><li class="navelem"><a class="el" href="../../d1/d29/a02393.html">expansionactionfillgeneratortankonground.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
